# Config file for compiling BearSSL for a Kobo Glo HD (Linux/GNU)
# i.MX 6SoloLite Processor with ARM Cortex-A9 core
# Toolchain available from
# https://releases.linaro.org/components/toolchain/binaries/4.9-2017.01/arm-linux-gnueabihf/
# You want gcc-linaro-4.9.4-2017.01-x86_64_arm-linux-gnueabihf.tar.xz

# We are on a Unix system so we assume a Single Unix compatible 'make'
# utility, and Unix defaults.
include conf/Unix.mk

# We override the build directory.
BUILD = kobo-glo-hd

# C compiler, linker, and static library builder.
CC = arm-linux-gnueabihf-gcc
CFLAGS = -W -Wall -Os -mthumb -ffunction-sections -fdata-sections -mcpu=cortex-a9
LD = arm-linux-gnueabihf-gcc
AR = arm-linux-gnueabihf-ar

DLL = no
TOOLS = no
TESTS = no